# Flex

The minimalist [Pelican](http://blog.getpelican.com/) theme.

## Flex 3.0 and upcoming breaking changes

Flex 2.6 will be the last release without breaking changes.

Flex 3.0 is under development and will introduce breaking changes.

The breaking changes will include:

* Removal of deprecated plugins and integrations
* Removal and renaming of configuration variables
* Removal of Less.js and Gulp.js
* Refactoring of multiple templates

Flex has grown beyond expectation over the last few years and is hard to maintain and accept new features.

You can check the current progress in the `v3` branch.

New features won't be accepted unless submited to `v3` branch, bug fixes will still be accepted in the `master` branch.

Once 2.6 is out, the `v3` branch will be merged into `master`.

## Features

- Mobile First
- Responsive
- Semantic
- SEO Best Practices
- Open Graph
- Rich Snippets (JSON-LD)
- Related Posts (via [plugin](https://github.com/getpelican/pelican-plugins/tree/master/related_posts) or AddThis)
- Series (via [plugin](https://github.com/pelican-plugins/series))
- Minute read (via [plugin](https://github.com/getpelican/pelican-plugins/tree/master/post_stats))
- [Multiple Code Highlight Styles](https://github.com/alexandrevicenzi/Flex/wiki/Code-Highlight)
- [Translation Support](https://github.com/alexandrevicenzi/Flex/wiki/Translations)
- [Dark Mode](https://github.com/alexandrevicenzi/Flex/wiki/Dark-Mode)

## Integrations

- [AddThis](http://www.addthis.com/)
- [Disqus](https://disqus.com/)
- [Gauges Analytics](http://get.gaug.es/)
- [Google AdSense](https://www.google.com.br/adsense/start/)
- [Google Analytics](https://www.google.com/analytics/web/)
- [Google Tag Manager](https://www.google.com/tagmanager/)
- [Matomo Analytics (formerly Piwik)](https://matomo.org/)
- [Cloudflare Web Analytics](https://www.cloudflare.com/web-analytics/)
- [Plausible](https://plausible.io/)
- [StatusCake](https://www.statuscake.com/)
- [Isso](https://posativ.org/isso/)
- [Microsoft Clarity](https://clarity.microsoft.com)

## Plugins Support

- [Github Corners](https://github.com/tholman/github-corners)
- [I18N Sub-sites](https://github.com/getpelican/pelican-plugins/tree/master/i18n_subsites)
- [Minute read](https://github.com/getpelican/pelican-plugins/tree/master/post_stats)
- [Related Posts](https://github.com/getpelican/pelican-plugins/tree/master/related_posts)
- [Series](https://github.com/pelican-plugins/series)
- [Representative image](https://github.com/getpelican/pelican-plugins/tree/master/representative_image)
- [Neighbors](https://github.com/getpelican/pelican-plugins/tree/master/neighbors)
- [Pelican Search](https://github.com/pelican-plugins/search)
- [Tipue Search](https://github.com/getpelican/pelican-plugins/blob/master/tipue_search/) (deprecated)
- [SEO](https://github.com/pelican-plugins/seo)

## Install

The best way to install is over [pelican-themes](https://github.com/getpelican/pelican-themes).

The alternative way is to clone this repository and checkout a tag branch.

## Documentation

The documentation covers most of the settings available and how to use this theme.
If something is missing or broken you can open a PR or fix the documentation by yourself.

[Flex Wiki](https://github.com/alexandrevicenzi/Flex/wiki)

## Live example

You can see how this theme looks like at [http://flex.alxd.me/](http://flex.alxd.me/).

The code is available in this project under `docs` folder.

## Contributing

**ALWAYS** open an issue before sending a PR.
Discuss the problem/feature that you want to solve.
If things make sense, send a PR with your changes.

As always, if you want something that only makes sense to you, fork Flex and create a new theme.

## Translations

Translate this theme to new languages at [Transifex](https://www.transifex.com/alexandrevicenzi/flex-pelican/).

Read more about [Translation Support](https://github.com/alexandrevicenzi/Flex/wiki/Translations) in the Wiki.

## License

MIT
